Get a calendar event
curl --request GET \
--url https://api.plane.com/v1/calendar-events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plane.com/v1/calendar-events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plane.com/v1/calendar-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cale_K2mP9qR4xL7s",
"object": "calendar.event",
"calendar": "cal_cNqYX2J3s9bI2Aa",
"title": "All Hands Meeting",
"description": "Monthly company-wide meeting",
"starts": "2026-04-14T10:00:00Z",
"ends": "2026-04-14T11:00:00Z",
"all_day": false,
"subject": "ent_airfoil",
"metadata": {},
"created": "2026-03-10T18:42:11Z",
"updated": "2026-03-11T09:05:52Z"
}
Calendars
Get a calendar event
Retrieve an existing calendar event.
GET
/
v1
/
calendar-events
/
{id}
Get a calendar event
Retrieve a single Calendar event by its ID.
Parameters
The ID of the calendar event to retrieve.
Returns
Returns the Calendar event object if a valid ID was provided. Otherwise, returns an error.{
"id": "cale_K2mP9qR4xL7s",
"object": "calendar.event",
"calendar": "cal_cNqYX2J3s9bI2Aa",
"title": "All Hands Meeting",
"description": "Monthly company-wide meeting",
"starts": "2026-04-14T10:00:00Z",
"ends": "2026-04-14T11:00:00Z",
"all_day": false,
"subject": "ent_airfoil",
"metadata": {},
"created": "2026-03-10T18:42:11Z",
"updated": "2026-03-11T09:05:52Z"
}
Was this page helpful?
⌘I